<nav class='navbar navbar-expand navbar-light bg-light'>
    <a class='navbar brand'>{{title}}</a>
    <ul class='nav nav-pills'>
        <li class="nav-item"><a class='nav-link' [routerLink]="['/shop']">Shop</a></li>
        <li class="nav-item"><a class='nav-link' [routerLink]="['/shop/cart']">Cart[{{itemsInCart}}]</a></li>
        <li class="nav-item" *ngIf="isLoggedIn"><a class='nav-link' [routerLink]="['/shop/add']">Add Product</a></li>
    </ul>
    <ul class="navbar-nav ml-auto">
        <li class="nav-item"
            *ngIf="isLoggedIn">
            <a class="nav-link">Welcome {{ userName }}</a>
        </li>
        <li class="nav-item"
            *ngIf="isLoggedIn">
            <a class="nav-link" style="cursor: pointer; color: red"
               (click)="onLogOut()">Log Out</a>
        </li>
        <li class="nav-item"
            *ngIf="!isLoggedIn">
            <a class="nav-link" style="cursor: pointer; color: red"
               [routerLink]="['/login']">Log In</a>
        </li>
    </ul>
</nav>

<ul class="list-unstyled" *ngIf="showList">
    <li class="media" style="margin-top: 20px;" *ngFor="let post of posts">
        <img *ngIf="post['_embedded']['wp:featuredmedia']"
             src="{{post['_embedded']['wp:featuredmedia'][0]['media_details'].sizes['medium'].source_url}}"
             class="mr-3"/>
        <div class="media-body">
            <div class="d-flex w-100 justify-content-between">
                <h5 class="mt-0 mb-1">{{post.title.rendered}}</h5>
                <small class="text-muted d-block">{{post.date| dateAgo}}</small>
            </div>

            <p class="card-text" [innerHTML]="post.excerpt.rendered"></p>
            <a [routerLink]="['/shop/details/',post.id]"  class="btn btn-primary">Details</a>
        </div>
    </li>
</ul>

<router-outlet></router-outlet>